-- phpMyAdmin SQL Dump
-- version 4.6.4
-- https://www.phpmyadmin.net/
--
-- Servidor: 127.0.0.1
-- Tiempo de generación: 08-01-2017 a las 09:06:00
-- Versión del servidor: 5.7.14
-- Versión de PHP: 5.6.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `proyectobd`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `centros`
--

CREATE TABLE `centros` (
  `id` int(255) NOT NULL,
  `codigo` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `nombre_centro` varchar(100) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `municipio` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `provincia` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Volcado de datos para la tabla `centros`
--

INSERT INTO `centros` (`id`, `codigo`, `nombre_centro`, `municipio`, `provincia`) VALUES
(1, '07001940', 'IES Pasqual Calbó i Caldés', 'Maó', 'Baleares'),
(2, '07001964', 'IES Joan Ramis i Ramis', 'Maó', 'Baleares'),
(3, '07007127', 'CEPA Joan Mir i Mir', 'Maó', 'Baleares'),
(4, '07007188', 'EA de Menorca', 'Maó', 'Baleares'),
(5, '07007954', 'IES Cap de Llevant', 'Maó', 'Baleares'),
(6, '07008478', 'EOI de Maó', 'Maó', 'Baleares');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `incidencias`
--

CREATE TABLE `incidencias` (
  `id_registro` int(11) NOT NULL,
  `estado` varchar(1) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `borrador` varchar(1) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `usr_org` varchar(100) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `usr_dst` varchar(100) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `ubicacion` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `centro` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `titulo` varchar(100) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `descripcion` varchar(1000) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `respuesta` varchar(1000) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `fecha_inic` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fecha_final` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Volcado de datos para la tabla `incidencias`
--

INSERT INTO `incidencias` (`id_registro`, `estado`, `borrador`, `usr_org`, `usr_dst`, `ubicacion`, `centro`, `titulo`, `descripcion`, `respuesta`, `fecha_inic`, `fecha_final`) VALUES
(62, '0', '1', 'ccarreras', 'ivicent', 'Secretaria', '07007954', 'No va Internet', '', '', '2017-01-08 08:51:29', NULL),
(63, '1', '0', 'ccarreras', 'ivicent', 'Aula 8', '07007954', 'El monitor no funciona', 'El monitor se enciende pero no se ve nada, pero la pizarra digital si que se ve.', 'Fallo en el duplicador, hay que cambiarlo. En estar listo ya te aviso.', '2017-01-08 08:52:20', '2017-01-08 08:59:55'),
(64, '0', '0', 'ccarreras', 'ivicent', 'Aula 9', '07007954', 'No funciona pizarra digital', 'El proyector muestra puntos blancos.', '', '2017-01-08 08:53:19', NULL),
(65, '2', '0', 'ccarreras', 'ivicent', 'Aula 7', '07007954', 'No va Internet', 'El ordenador no se conecta a Internet.', 'El cable estaba suelto.', '2017-01-08 08:54:47', '2017-01-08 08:59:11'),
(66, '2', '0', 'epons', 'ivicent', 'Informática 1', '07007954', 'Falta ratón', 'Ord.5 le falta el ratón.', 'Se ha añadido otro.', '2017-01-08 08:56:09', '2017-01-08 08:58:55'),
(67, '0', '0', 'epons', 'ivicent', 'Informática 2', '07007954', 'Faltan teclas', 'Ord. 6 faltan teclas en el teclado.', '', '2017-01-08 08:56:38', NULL),
(68, '1', '0', 'epons', 'ivicent', 'Informática 3', '07007954', 'No entra en Linux', 'Ord.7 se no arranca en Linux.', 'En restauración, mañana estará listo.', '2017-01-08 08:57:12', '2017-01-08 08:58:41');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `mensajes`
--

CREATE TABLE `mensajes` (
  `id_mensajes` int(11) NOT NULL,
  `titulo` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `descripcion` varchar(500) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `respuesta` varchar(500) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `foto` longblob NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuarios`
--

CREATE TABLE `usuarios` (
  `nombre` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `apellido1` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `apellido2` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `mail` varchar(100) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `password` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `tic` tinyint(1) NOT NULL,
  `itinerante` tinyint(1) NOT NULL,
  `centro1` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `centro2` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `centro3` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `centro4` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL,
  `centro5` varchar(50) CHARACTER SET utf8 COLLATE utf8_spanish_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Volcado de datos para la tabla `usuarios`
--

INSERT INTO `usuarios` (`nombre`, `apellido1`, `apellido2`, `mail`, `password`, `tic`, `itinerante`, `centro1`, `centro2`, `centro3`, `centro4`, `centro5`) VALUES
('Cristina', 'Carreras', 'Pons', 'ccarreras', '1234', 0, 0, '07007954', '', '', '', ''),
('Enric', 'Pons', 'Pons', 'epons', '1234', 0, 0, '07007954', '', '', '', ''),
('Ignacio', 'Vicent', 'Ripoll', 'ivicent', '123456', 1, 0, '07007954', '', '', '', ''),
('Ignacio', 'Vicent', 'Ripoll', 'ivicent1', '123456', 1, 0, '07007127', '', '', '', ''),
('Ignacio', 'Vicent', 'Ripoll', 'ivicent2', '123456', 1, 0, '07007188', '', '', '', ''),
('Ignacio', 'Vicent', 'Ripoll', 'ivicent3', '123456', 1, 0, '07008478', '', '', '', ''),
('Ignacio', 'Vicent', 'Ripoll', 'ivicent4', '123456', 1, 0, '07001964', '', '', '', ''),
('Ignacio', 'Vicent', 'Ripoll', 'ivicent5', '123456', 1, 0, '07001940', '', '', '', '');

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `centros`
--
ALTER TABLE `centros`
  ADD PRIMARY KEY (`codigo`);

--
-- Indices de la tabla `incidencias`
--
ALTER TABLE `incidencias`
  ADD PRIMARY KEY (`id_registro`);

--
-- Indices de la tabla `mensajes`
--
ALTER TABLE `mensajes`
  ADD PRIMARY KEY (`id_mensajes`);

--
-- Indices de la tabla `usuarios`
--
ALTER TABLE `usuarios`
  ADD PRIMARY KEY (`mail`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `incidencias`
--
ALTER TABLE `incidencias`
  MODIFY `id_registro` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=69;
--
-- AUTO_INCREMENT de la tabla `mensajes`
--
ALTER TABLE `mensajes`
  MODIFY `id_mensajes` int(11) NOT NULL AUTO_INCREMENT;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
